From bf0aae51d34bf34c9abc8acdbfa34689243ffc47 Mon Sep 17 00:00:00 2001
From: Pietro Incardona <incardon@mpi-cbg.de>
Date: Mon, 26 Nov 2018 23:15:23 +0100
Subject: [PATCH] Fixing install PETSC we SUITESparse does not work

---
 script/install_PETSC.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/script/install_PETSC.sh b/script/install_PETSC.sh
index f4cdf783b..5d1085f7e 100755
--- a/script/install_PETSC.sh
+++ b/script/install_PETSC.sh
@@ -21,6 +21,7 @@ discover_os
 function test_configure_options() {
   cd petsc-3.10.2
   $python_command ./configure COPTFLAGS="-O3 -g" CXXOPTFLAGS="-O3 -g" FOPTFLAGS="-O3 -g" $ldflags_petsc  --with-cxx-dialect=C++11 $petsc_openmp --with-mpi-dir=$mpi_dir $configure_options2 --with-debugging=0
+  error=$?
   cd ..
 }
 
@@ -100,9 +101,9 @@ fi
 #### OK here we check if we can configure work with SUITESPARSE
 echo "Testing if PETSC work with SUITESPARSE"
 configure_options2="$configure_options --with-suitesparse=yes --with-suitesparse-dir=$1/SUITESPARSE "
-test_configure_options    
+test_configure_options 
 
-if [ $? -eq 0 ]; then
+if [ $error -eq 0 ]; then
   configure_options="$configure_options --with-suitesparse=yes --with-suitesparse-dir=$1/SUITESPARSE "
 fi
 
-- 
GitLab